#!/bin/zsh

if [[ -z $1 ]]; then
  echo "$(basename $0) <reponame>"
  exit 1
fi

repo=$1
server="karif"
remotename="karif"
basepath=/srv/git/users/flo

ssh $server git init --bare $basepath/$repo
ssh $server touch $basepath/$repo/git-daemon-export-ok

git remote add $remotename ssh://${server}${basepath}/$repo
echo -n "Description: "
read description
ssh $server echo $description \> $basepath/$repo/description

echo -n "Branch to push: "
read branch
git push $remotename $branch

echo "All done."
